Subject: Re: [X2Go-Dev] Bug#884: Bug#884: nxagent aborts session with 'Could not open default font 'fixed''

From: Mike Gabriel <[email-masked]>
Date: Sun, 05 Feb 2017 21:26:33 +0000

Control: tag -1 fixed-upstream
Control: fixed -1 3.5.99.4

On  Mi 24 Feb 2016 15:03:18 CET, Mike Gabriel wrote:

> Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/84
>
> On  Sa 05 Sep 2015 14:05:39 CEST, Mike Gabriel wrote:
>
>> Hi Devsk,
>>
>> On  Fr 04 Sep 2015 04:06:55 CEST, devsk wrote:
>>
>>> Yes, I am talking about Gentoo specific packaging issue. I have filed
>>>
>>> https://bugs.gentoo.org/show_bug.cgi?id=559370
>>>
>>> to track it down. As I mentioned, the specific files being talked  
>>> about are the font files in /usr/share/fonts/misc  
>>> (/usr/share/fonts/X11/misc on Ubuntu) which are character  
>>> encodings specific e.g. 9x15-ISO8859-*.pcf.gz. nxagent can not  
>>> load a fixed size font '9x15' without the presence of these files.  
>>> It looks like these are abandoned by modern X code because both  
>>> Xorg and Xvnc work fine without these files.
>>>
>>> -devsk
>>
>> Thanks for explaining the above. However, I think that we should  
>> get this issue also solved upstream as most systems work on UTF-8  
>> basis and the more local encodings are rather historical than  
>> current-state-of-the-art.
>>
>> Let's leave this bug open and address it for 3.6.x of nx-libs  
>> instead of dealing with it as a Gentoo specific bug.
>>
>> Mike
>
> This issue has been forwarded to the new upstream location of nx-libs:
> https://github.com/ArcticaProject/nx-libs/issues/84
>
> Greets,
> Mike

This issue will be fixed in nx-libs 3.5.99.4. The fix is to support  
libXfont's built-in fonts as final fallback.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de